Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface View

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  BookView, CategoryView, ChildView, DesktopView, LayoutView, LookAndFeelView, MarkupBasedView, MenuView, NavigableView, PageView, PlaceableView, PlaceholderView, PortalView, PortletCategoryView, PortletView, ShellView, ThemedMarkupBasedView, ThemeView

public interface View
extends Serializable

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

Method Summary
`String` | `getDescription()` Get the localized description of the view.
`String` | `getTitle()` Get the localized title on this view object.

Method Detail

### getDescription

    public String getDescription()

  Get the localized description of the view.

  Returns:
    a description if one exists otherwise null. Descriptions are typically limited to 500 characters.

### getTitle

    public String getTitle()

  Get the localized title on this view object. The value of this field can change depending on how the request was made. Each request looks at the Locale values in the customization context and makes a best guess to retrieve the appropriate title.

  Returns:
    a non null title. Titles are typically limited to 80 charactes in length.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved